# Backing Directus

> Directus is both _premium_ and _free_ — two things that don't often go together. It takes significant resources to maintain the platform. If you'd like to help keep development active, please consider supporting Directus through one of the methods below.

## Financial Support

Talented full-time and part-time staff, infrastructure, and third-party services are just some of our organization's many
expenses. Below are a few ways to help us keep the lights on and move towards a self-sufficient open-source core product.

### GitHub Sponsors

Monthly donations via [GitHub Sponsors](https://github.com/sponsors/directus) are the most reliable form of financial
support. Donate to the organization, or directly to our core developers!

- [Directus](https://github.com/sponsors/directus) — Organization
  - [benhaynes](https://github.com/benhaynes) — Project Lead
  - [rijkvanzanten](https://github.com/rijkvanzanten) — Technical Lead
  - [WoLfulus](https://github.com/WoLfulus) — DevOps
  - [Nitwel](https://github.com/Nitwel) — Developer

### Sponsored Work

[Commissioned Features](/getting-started/support/#commissioned-features) and
[Expedited Fixes](/getting-started/support/#expedited-fixes) are great ways to financially support the development of
Directus, and improve the codebase for the community.

### Merch

Our merchandise is a great way to support Directus — you get some swag, and we get some financial support and advertising. Simply make an appropriate financial donation through [GitHub Sponsors](https://github.com/sponsors/directus) (or contact us for bulk pricing), and once we coordinate sizing and shipping details, we'll get it shipped!

## Other Contributions

Below are several ways that _anyone_ can help improve the Directus ecosystem. These are free alternatives for when financial support is not a possibility.

### Code Pull Requests

Squashing bugs, optimizing the codebase, increasing test coverage, and adding new features, are all extremely valuable.
Not technical? We have plenty of documentation that can always use some extra attention. Learn more in our
[Contributors Guide](/contributing/introduction).

### Translations

Every translation enables users in new languages to use our international platform. Our
[Crowdin integration](https://locales.directus.io) makes polishing existing translations or creating new ones a breeze.

### Bug Reporting

If you encounter an issue within Directus, no matter how small, we would love to hear about it. Proper bug reporting
helps our team improve platform stability. [Report a bug on GitHub](https://github.com/directus/directus/issues/new)

### Brand Advocacy

You can create _perfect_ software, but if no one knows about it, it's all for naught. Marketing and advertising are
expensive, but you can help us avoid these costs with the following quick options:

- **GitHub Stars** — The primary metric by which we measure our success. It only takes a few seconds to head to the
  [Directus GitHub](https://github.com/directus/directus) and click the star. Enough activity in a short period of time and
  we get even more exposure from being featured on GitHub's trending page!
- **Social Posts** — A quick post mentioning [@directus](https://twitter.com/directus) goes a long way — and we re-tweet
  the team's favorite shout-outs to our 35K+ followers.
- **Testimonials** — _One sentence._ Even that was a sentence, and it was only two words! If you're a fan of Directus,
  we'd love to hear why with a short endorsement. Shoot us an [email](mailto:info@directus.io),
  [Tweet](https://twitter.com/directus), or [Discord](https://directus.chat) message with your name, title, and company.
